CVE-2006-3121

NameCVE-2006-3121
DescriptionThe peel_netstring function in cl_netstring.c in the heartbeat subsystem in High-Availability Linux before 1.2.5, and 2.0 before 2.0.7, allows remote attackers to cause a denial of service (crash) via the length parameter in a heartbeat message.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDSA-1151-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
heartbeat (PTS)bullseye1:3.0.6-11+deb11u1fixed
bookworm1:3.0.6-13fixed
trixie, sid1:3.0.6-14.2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
heartbeatsourcesarge1.2.3-9sarge6DSA-1151-1
heartbeatsource(unstable)1.2.4-14
heartbeat-2source(unstable)2.0.6-2

Search for package or bug name: Reporting problems